Skip to main content
`Ctrl`+`K`

# MatCoarsenSetGreedyOrdering

Sets the ordering of the vertices to use with a greedy coarsening method

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenSetGreedyOrdering(MatCoarsen coarser, const IS perm)

Logically Collective

## Input Parameters

- coarser - the coarsen context

- perm - vertex ordering of (greedy) algorithm

## Note

The `IS` weights is freed by PETSc, the user should not destroy it or change it after this call

## See Also

`MatCoarsen`, `MatCoarsenType`, `MatCoarsenCreate()`, `MatCoarsenSetType()`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages